Ir para o final dos metadados
Ir para o início dos metadados

Índice


Instalação da IDE

Para utilização do plugin de desenvolvimento do fluig é necessário possuir uma IDE baseada em Eclipse. As IDEs homologadas para trabalhar com o fluig Studio são:

Atenção

Para o Eclipse Neon, o recurso de Autocompletar, na edição de eventos não funcionará por um problema no JSDT (JavaScript Development Tools) da IDE.


Instalação do fluig Studio

Pré requisitos

  • Para a instalar e atualizar o fluig Studio será necessário acesso à internet na estação em que a IDE está instalada.

Com sua IDE instalada e devidamente configurada restam apenas quatro passos simples que são os mesmos em ambas as IDEs.


    • Selecione no menu “Help” a opção “Install New Software”  ou “Ajuda” e a opção “Instalar novo Software” se sua IDE estiver traduzida.


    • Adicione um novo “update site” selecionando o botão "Add":


    • Cadastre o endereço http://update.fluig.com, referente a última versão do plugin do fluig disponível, confirmando os dados conforme figura abaixo:


    Atenção

    Para o TDS 11.2 e o Eclipse em versões anteriores à Mars, é recomendável adicionar também o repositório http://archive.eclipse.org/graphiti/updates/0.11.2/, referente a versão compatível do Graphiti© com o fluig Studio.

    Nota

    Se deseja informar a atualização do plugin de uma versão específica, basta informar "/<versãoFluig>" após a URL padrão, onde <versãoFluig> corresponde ao número da versão desejada.

    Exemplo: Possuo o fluig 1.2.8 e desejo atualizar o plugin fluig para a mesma versão do servidor, como já existe uma versão mais atual disponível na URL padrão, basta informar: http://update.fluig.com/128 .


    • Selecione a opção que você acabou de cadastrar no Passo 3 e confirme a operação.


    Atenção

    Para o correto funcionamento da instalação do fluig Studio é necessário selecionar o checkbox “Contact all update sites during install to find required software”.

    Na ocorrência de erros referentes à autenticação no proxy, durante essa etapa, você pode tentar desabilitar o proxy, o firewall e até mesmo o antivírus na máquina onde estiver instalando o plugin, e em seguida prosseguir com a instalação. Sugere-se também fazer um teste de instalação em uma máquina fora da rede para comparar.


    • Após o download e reinício da IDE a mesma estará pronta para trabalhar com o fluig Studio.

    Dica: Para atualização basta selecionar o update cadastrado com o fluig Studio conforme ilustrado no passo número 4.

    Atenção

    Não é recomendado o uso do plugin "Team Foundation Server plug-in for Eclipse" (TFS) no mesmo TDS do plugin fluig.

    O plugin fluig utiliza algumas bibliotecas de terceiros para comunicação com os webservices do servidor fluig. Entre elas, o plugin Apache Xerces (http://xerces.apache.org/), que é instalado automaticamente e pode ser visualizado em Sobre > Detalhes da Instalação > Plugins. A versão atual disponível nos repositórios do Eclipse Luna é a versão 2.9.0.

    Identificamos que o TFS também faz uso do Xerces, porém, na versão 2.8.0. Normalmente isso geraria um erro ou um alerta, na hora da instalação, mas o TFS não o instala diretamente, apenas carrega-o internamente a partir da pasta plugins/com.microsoft.tfs.core_14.0.2.201512281637/libs/xerces-2.8.0.

    Por se tratarem de duas versões diferentes, quando carregado primeiramente o Xerces do TFS, ao tentar utilizar algumas funções do plugin fluig, o TDS identifica versões diferentes do mesmo arquivo e dispara um erro.

    A pasta pode ser removida manualmente para que os dois possam trabalhar juntos, mas o TFS pode não funcionar corretamente.

    Vídeo How to

    Se preferir veja a seguir o vídeo a seguir que ilustra o processo de instalação do fluig Studio